{"success":true,"audience":"apps","title":"Amnen Pay Apps API","description":"Parameters for Amnen Pay app APIs. For a POST, put required body fields in the JSON request body. Optional fields may be omitted.","total":712,"operations":[{"method":"GET","path":"/affiliate/dashboard","summary":"List dashboard","description":"`GET /api/v1/affiliate/dashboard` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"POST","path":"/affiliates/track","summary":"Create track","description":"`POST /api/v1/affiliates/track` — introspected from the live route handler.","parameters":[{"name":"referralCode","in":"body","required":true,"type":"string","description":"","example":"example-referralCode"},{"name":"referredUserId","in":"body","required":true,"type":"string","description":"","example":"example-referredUserId"},{"name":"source","in":"body","required":false,"type":"string","description":"","example":"example-source"},{"name":"metadata","in":"body","required":false,"type":"string","description":"","example":"example-metadata"}],"exampleBody":{"referralCode":"example-referralCode","referredUserId":"example-referredUserId","source":"example-source","metadata":"example-metadata"}},{"method":"GET","path":"/agent-payouts","summary":"List agent payouts","description":"`GET /api/v1/agent-payouts` — introspected from the live route handler.","parameters":[{"name":"action","in":"query","required":false,"type":"string","description":"action query parameter"},{"name":"id","in":"query","required":false,"type":"string","description":"id query parameter"},{"name":"period","in":"query","required":false,"type":"string","description":"period query parameter"}],"exampleBody":null},{"method":"POST","path":"/agent-payouts","summary":"Create agent payouts","description":"`POST /api/v1/agent-payouts` — introspected from the live route handler.","parameters":[{"name":"action","in":"query","required":false,"type":"string","description":"action query parameter"},{"name":"id","in":"query","required":false,"type":"string","description":"id query parameter"},{"name":"period","in":"query","required":false,"type":"string","description":"period query parameter"}],"exampleBody":null},{"method":"GET","path":"/agent/2fa","summary":"List 2fa","description":"`GET /api/v1/agent/2fa` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"POST","path":"/agent/2fa","summary":"Create 2fa","description":"`POST /api/v1/agent/2fa` — introspected from the live route handler.","parameters":[{"name":"action","in":"body","required":false,"type":"string","description":"","example":"example-action"},{"name":"code","in":"body","required":false,"type":"string","description":"","example":"example-code"}],"exampleBody":{"action":"example-action","code":"example-code"}},{"method":"POST","path":"/agent/account-exists","summary":"Create account exists","description":"`POST /api/v1/agent/account-exists` — introspected from the live route handler.","parameters":[{"name":"phone","in":"body","required":true,"type":"string","description":"","example":"+251911223344"}],"exampleBody":{"phone":"example-phone"}},{"method":"GET","path":"/agent/balance","summary":"Agent float balance","description":"","parameters":[],"exampleBody":null},{"method":"POST","path":"/agent/cash-in","summary":"Create cash in","description":"`POST /api/v1/agent/cash-in` — introspected from the live route handler.","parameters":[{"name":"customerPhone","in":"body","required":true,"type":"string","description":"","example":"example-customerPhone"},{"name":"amount","in":"body","required":true,"type":"string","description":"","example":100},{"name":"currency","in":"body","required":false,"type":"string","description":"","example":"ETB"}],"exampleBody":{"customerPhone":"example-customerPhone","amount":"example-amount","currency":"example-currency"}},{"method":"GET","path":"/agent/commission/payout-request","summary":"List payout request","description":"`GET /api/v1/agent/commission/payout-request` — introspected from the live route handler.","parameters":[{"name":"page","in":"query","required":false,"type":"string","description":"page query parameter"},{"name":"limit","in":"query","required":false,"type":"string","description":"limit query parameter"},{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"}],"exampleBody":null},{"method":"POST","path":"/agent/commission/payout-request","summary":"Create payout request","description":"`POST /api/v1/agent/commission/payout-request` — introspected from the live route handler.","parameters":[{"name":"page","in":"query","required":false,"type":"string","description":"page query parameter"},{"name":"limit","in":"query","required":false,"type":"string","description":"limit query parameter"},{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"},{"name":"amount","in":"body","required":true,"type":"string","description":"","example":100},{"name":"payoutMethod","in":"body","required":false,"type":"string","description":"","example":"example-payoutMethod"},{"name":"bankAccountId","in":"body","required":false,"type":"string","description":"","example":"example-bankAccountId"}],"exampleBody":{"amount":"example-amount","payoutMethod":"example-payoutMethod","bankAccountId":"example-bankAccountId"}},{"method":"GET","path":"/agent/commission","summary":"List commission","description":"`GET /api/v1/agent/commission` — introspected from the live route handler.","parameters":[{"name":"period","in":"query","required":false,"type":"string","description":"period query parameter"},{"name":"page","in":"query","required":false,"type":"string","description":"page query parameter"},{"name":"limit","in":"query","required":false,"type":"string","description":"limit query parameter"}],"exampleBody":null},{"method":"POST","path":"/agent/deposit/confirm","summary":"Create confirm","description":"`POST /api/v1/agent/deposit/confirm` — introspected from the live route handler.","parameters":[{"name":"depositId","in":"body","required":true,"type":"string","description":"","example":"example-depositId"},{"name":"otp","in":"body","required":false,"type":"string","description":"","example":"example-otp"}],"exampleBody":{"depositId":"example-depositId","otp":"example-otp"}},{"method":"POST","path":"/agent/deposit","summary":"Create deposit","description":"`POST /api/v1/agent/deposit` — introspected from the live route handler.","parameters":[{"name":"customerPhone","in":"body","required":true,"type":"string","description":"","example":"example-customerPhone"},{"name":"amount","in":"body","required":true,"type":"number","description":"","example":100},{"name":"notes","in":"body","required":false,"type":"string","description":"","example":"example-notes"},{"name":"reference","in":"body","required":false,"type":"string","description":"","example":"example-reference"}],"exampleBody":{"customerPhone":"example-customerPhone","amount":100,"notes":"example-notes","reference":"example-reference"}},{"method":"GET","path":"/agent/enablement/exam","summary":"List exam","description":"`GET /api/v1/agent/enablement/exam` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"GET","path":"/agent/enablement","summary":"List enablement","description":"`GET /api/v1/agent/enablement` — introspected from the live route handler.","parameters":[{"name":"export","in":"query","required":false,"type":"string","description":"export query parameter"}],"exampleBody":null},{"method":"POST","path":"/agent/enablement","summary":"Create enablement","description":"`POST /api/v1/agent/enablement` — introspected from the live route handler.","parameters":[{"name":"export","in":"query","required":false,"type":"string","description":"export query parameter"},{"name":"action","in":"body","required":false,"type":"string","description":"","example":"example-action"},{"name":"moduleId","in":"body","required":true,"type":"string","description":"","example":"example-moduleId"},{"name":"lessonId","in":"body","required":true,"type":"string","description":"","example":"example-lessonId"},{"name":"answers","in":"body","required":false,"type":"string","description":"","example":"example-answers"}],"exampleBody":{"action":"example-action","moduleId":"example-moduleId","lessonId":"example-lessonId","answers":"example-answers"}},{"method":"POST","path":"/agent/kyc/reply","summary":"Create reply","description":"`POST /api/v1/agent/kyc/reply` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"GET","path":"/agent/kyc/status","summary":"Get KYC status","description":"","parameters":[],"exampleBody":null},{"method":"POST","path":"/agent/kyc/submit","summary":"Submit KYC (agent-assisted)","description":"","parameters":[{"name":"fullName","in":"body","required":false,"type":"string","description":"","example":"example-fullName"},{"name":"documentType","in":"body","required":true,"type":"string","enum":["national_id","passport","drivers_license"],"description":"","example":"national_id"},{"name":"documentNumber","in":"body","required":true,"type":"string","description":"","example":"example-documentNumber"},{"name":"documentFront","in":"body","required":false,"type":"string","description":"URL or base64 of front image","example":"example-documentFront"},{"name":"documentBack","in":"body","required":false,"type":"string","description":"","example":"example-documentBack"},{"name":"selfie","in":"body","required":false,"type":"string","description":"","example":"example-selfie"},{"name":"dateOfBirth","in":"body","required":false,"type":"string","format":"date","description":"","example":"example-dateOfBirth"},{"name":"address","in":"body","required":false,"type":"string","description":"","example":"example-address"}],"exampleBody":{"fullName":"example-fullName","documentType":"national_id","documentNumber":"example-documentNumber","documentFront":"example-documentFront","documentBack":"example-documentBack","selfie":"example-selfie","dateOfBirth":"example-dateOfBirth","address":"example-address"}},{"method":"POST","path":"/agent/login","summary":"Create login","description":"`POST /api/v1/agent/login` — introspected from the live route handler.","parameters":[{"name":"phone","in":"body","required":true,"type":"string","description":"","example":"+251911223344"},{"name":"password","in":"body","required":true,"type":"string","description":"","example":"YourPassword123!"}],"exampleBody":{"phone":"example-phone","password":"YourPassword123!"}},{"method":"GET","path":"/agent/money-preview","summary":"List money preview","description":"`GET /api/v1/agent/money-preview` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"POST","path":"/agent/money-preview","summary":"Create money preview","description":"`POST /api/v1/agent/money-preview` — introspected from the live route handler.","parameters":[{"name":"amount","in":"body","required":false,"type":"string","description":"","example":100},{"name":"currency","in":"body","required":false,"type":"string","description":"","example":"ETB"}],"exampleBody":{"amount":"example-amount","currency":"example-currency"}},{"method":"POST","path":"/agent/payouts/complete","summary":"Create complete","description":"`POST /api/v1/agent/payouts/complete` — introspected from the live route handler.","parameters":[{"name":"payoutId","in":"body","required":true,"type":"string","description":"","example":"example-payoutId"},{"name":"completedAt","in":"body","required":false,"type":"string","description":"","example":"example-completedAt"},{"name":"transactionId","in":"body","required":false,"type":"string","description":"","example":"example-transactionId"}],"exampleBody":{"payoutId":"example-payoutId","completedAt":"example-completedAt","transactionId":"example-transactionId"}},{"method":"GET","path":"/agent/payouts","summary":"List payouts","description":"`GET /api/v1/agent/payouts` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"POST","path":"/agent/reset-password","summary":"Create reset password","description":"`POST /api/v1/agent/reset-password` — introspected from the live route handler.","parameters":[{"name":"otp","in":"body","required":true,"type":"string","description":"","example":"example-otp"},{"name":"newPassword","in":"body","required":true,"type":"string","description":"","example":"example-newPassword"},{"name":"firebaseVerified","in":"body","required":true,"type":"string","description":"","example":"example-firebaseVerified"},{"name":"phone","in":"body","required":true,"type":"string","description":"","example":"+251911223344"}],"exampleBody":{"otp":"example-otp","newPassword":"example-newPassword","firebaseVerified":"example-firebaseVerified","phone":"example-phone"}},{"method":"GET","path":"/agent/sessions","summary":"List sessions","description":"`GET /api/v1/agent/sessions` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"POST","path":"/agent/sessions","summary":"Create sessions","description":"`POST /api/v1/agent/sessions` — introspected from the live route handler.","parameters":[{"name":"sessionId","in":"body","required":true,"type":"string","description":"","example":"example-sessionId"},{"name":"keepCurrent","in":"body","required":false,"type":"string","description":"","example":"example-keepCurrent"}],"exampleBody":{"sessionId":"example-sessionId","keepCurrent":"example-keepCurrent"}},{"method":"GET","path":"/agent/settings","summary":"List settings","description":"`GET /api/v1/agent/settings` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"PUT","path":"/agent/settings","summary":"Replace settings","description":"`PUT /api/v1/agent/settings` — introspected from the live route handler.","parameters":[{"name":"monday","in":"body","required":true,"type":"string","description":"","example":"example-monday"},{"name":"tuesday","in":"body","required":true,"type":"string","description":"","example":"example-tuesday"},{"name":"wednesday","in":"body","required":true,"type":"string","description":"","example":"example-wednesday"},{"name":"thursday","in":"body","required":true,"type":"string","description":"","example":"example-thursday"},{"name":"friday","in":"body","required":true,"type":"string","description":"","example":"example-friday"},{"name":"saturday","in":"body","required":true,"type":"string","description":"","example":"example-saturday"},{"name":"sunday","in":"body","required":true,"type":"string","description":"","example":"example-sunday"},{"name":"open","in":"body","required":true,"type":"string","description":"","example":"example-open"},{"name":"close","in":"body","required":true,"type":"string","description":"","example":"example-close"},{"name":"sms","in":"body","required":false,"type":"boolean","description":"","example":false},{"name":"email","in":"body","required":false,"type":"boolean","description":"","example":false},{"name":"push","in":"body","required":false,"type":"boolean","description":"","example":false},{"name":"transactionAlerts","in":"body","required":false,"type":"boolean","description":"","example":false},{"name":"dailySummary","in":"body","required":false,"type":"boolean","description":"","example":false},{"name":"weeklySummary","in":"body","required":false,"type":"boolean","description":"","example":false},{"name":"lowBalanceAlert","in":"body","required":false,"type":"boolean","description":"","example":false},{"name":"lowBalanceThreshold","in":"body","required":false,"type":"number","description":"","example":0},{"name":"marketing","in":"body","required":false,"type":"boolean","description":"","example":false},{"name":"completedPayouts","in":"body","required":false,"type":"boolean","description":"","example":false},{"name":"lowBalance","in":"body","required":false,"type":"boolean","description":"","example":false},{"name":"dailyLimit","in":"body","required":false,"type":"number","description":"","example":0},{"name":"notificationPreferences","in":"body","required":false,"type":"string","description":"","example":"example-notificationPreferences"},{"name":"settlementSchedule","in":"body","required":false,"type":"string","enum":["daily","weekly","manual"],"description":"","example":"daily"},{"name":"settlementDay","in":"body","required":false,"type":"number","description":"","example":0},{"name":"autoSettlement","in":"body","required":false,"type":"boolean","description":"","example":false},{"name":"businessHours","in":"body","required":false,"type":"string","description":"","example":"example-businessHours"},{"name":"preferences","in":"body","required":false,"type":"string","description":"","example":"example-preferences"},{"name":"security","in":"body","required":false,"type":"string","description":"","example":"example-security"}],"exampleBody":{"monday":"example-monday","tuesday":"example-tuesday","wednesday":"example-wednesday","thursday":"example-thursday","friday":"example-friday","saturday":"example-saturday","sunday":"example-sunday","open":"example-open","close":"example-close","sms":false,"email":false,"push":false,"transactionAlerts":false,"dailySummary":false,"weeklySummary":false,"lowBalanceAlert":false,"lowBalanceThreshold":0,"marketing":false,"completedPayouts":false,"lowBalance":false,"dailyLimit":0,"notificationPreferences":"example-notificationPreferences","settlementSchedule":"daily","settlementDay":0,"autoSettlement":false,"businessHours":"example-businessHours","preferences":"example-preferences","security":"example-security"}},{"method":"GET","path":"/agent/transactions","summary":"List transactions","description":"`GET /api/v1/agent/transactions` — introspected from the live route handler.","parameters":[{"name":"page","in":"query","required":false,"type":"string","description":"page query parameter"},{"name":"limit","in":"query","required":false,"type":"string","description":"limit query parameter"},{"name":"type","in":"query","required":false,"type":"string","description":"type query parameter"},{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"},{"name":"fromDate","in":"query","required":false,"type":"string","description":"fromDate query parameter"},{"name":"toDate","in":"query","required":false,"type":"string","description":"toDate query parameter"},{"name":"customerPhone","in":"query","required":false,"type":"string","description":"customerPhone query parameter"}],"exampleBody":null},{"method":"POST","path":"/agent/withdraw/confirm","summary":"Create confirm","description":"`POST /api/v1/agent/withdraw/confirm` — introspected from the live route handler.","parameters":[{"name":"Idempotency-Key","in":"header","required":true,"type":"string","description":"A unique client-generated key (e.g. a UUID v4) that makes this request safe to retry. Replaying the same key returns the original result instead of creating a duplicate payment.","example":"idmp_8f14e45fceea167a5a36dedd4bea2543"},{"name":"code","in":"body","required":true,"type":"string","description":"","example":"example-code"},{"name":"withdrawalId","in":"body","required":false,"type":"string","description":"","example":"example-withdrawalId"}],"exampleBody":{"code":"example-code","withdrawalId":"example-withdrawalId"}},{"method":"POST","path":"/agent/withdraw/verify-code","summary":"Create verify code","description":"`POST /api/v1/agent/withdraw/verify-code` — introspected from the live route handler.","parameters":[{"name":"Idempotency-Key","in":"header","required":true,"type":"string","description":"A unique client-generated key (e.g. a UUID v4) that makes this request safe to retry. Replaying the same key returns the original result instead of creating a duplicate payment.","example":"idmp_8f14e45fceea167a5a36dedd4bea2543"},{"name":"code","in":"body","required":true,"type":"string","description":"","example":"example-code"}],"exampleBody":{"code":"example-code"}},{"method":"POST","path":"/agents/{id}/activate","summary":"Create activate","description":"`POST /api/v1/agents/{id}/activate` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"}],"exampleBody":null},{"method":"POST","path":"/agents/{id}/assisted-kyc","summary":"Create assisted kyc","description":"`POST /api/v1/agents/{id}/assisted-kyc` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"},{"name":"userPhone","in":"body","required":true,"type":"string","description":"","example":"example-userPhone"},{"name":"idType","in":"body","required":true,"type":"string","enum":["national_id","passport","driving_license","voter_id"],"description":"","example":"national_id"},{"name":"idNumber","in":"body","required":true,"type":"string","description":"","example":"example-idNumber"},{"name":"idExpiryDate","in":"body","required":false,"type":"string","description":"","example":"example-idExpiryDate"},{"name":"fullName","in":"body","required":true,"type":"string","description":"","example":"example-fullName"},{"name":"dateOfBirth","in":"body","required":true,"type":"string","description":"","example":"example-dateOfBirth"},{"name":"address","in":"body","required":false,"type":"string","description":"","example":"example-address"},{"name":"city","in":"body","required":false,"type":"string","description":"","example":"example-city"},{"name":"region","in":"body","required":false,"type":"string","description":"","example":"example-region"},{"name":"selfieVerified","in":"body","required":false,"type":"boolean","description":"","example":false},{"name":"documentVerified","in":"body","required":false,"type":"boolean","description":"","example":false},{"name":"notes","in":"body","required":false,"type":"string","description":"","example":"example-notes"}],"exampleBody":{"userPhone":"example-userPhone","idType":"national_id","idNumber":"example-idNumber","idExpiryDate":"example-idExpiryDate","fullName":"example-fullName","dateOfBirth":"example-dateOfBirth","address":"example-address","city":"example-city","region":"example-region","selfieVerified":false,"documentVerified":false,"notes":"example-notes"}},{"method":"POST","path":"/agents/{id}/cash-in","summary":"Agent cash-in","description":"Customer deposits physical cash with an agent; agent float decreases, customer wallet increases.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"Resource ID"},{"name":"customerIdentifier","in":"body","required":true,"type":"string","description":"","example":"example-customerIdentifier"},{"name":"amount","in":"body","required":true,"type":"number","description":"","example":100}],"exampleBody":{"customerIdentifier":"example-customerIdentifier","amount":100}},{"method":"POST","path":"/agents/{id}/cash-out","summary":"Agent cash-out","description":"Customer withdraws physical cash from an agent.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"Resource ID"},{"name":"customerIdentifier","in":"body","required":true,"type":"string","description":"","example":"example-customerIdentifier"},{"name":"amount","in":"body","required":true,"type":"number","description":"","example":100}],"exampleBody":{"customerIdentifier":"example-customerIdentifier","amount":100}},{"method":"GET","path":"/agents/{id}/commissions","summary":"Agent commissions","description":"","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"Resource ID"}],"exampleBody":null},{"method":"POST","path":"/agents/{id}/commissions","summary":"Create commissions","description":"`POST /api/v1/agents/{id}/commissions` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"},{"name":"page","in":"query","required":false,"type":"string","description":"page query parameter"},{"name":"limit","in":"query","required":false,"type":"string","description":"limit query parameter"},{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"},{"name":"action","in":"body","required":false,"type":"string","description":"","example":"example-action"}],"exampleBody":{"action":"example-action"}},{"method":"GET","path":"/agents/{id}/dashboard","summary":"List dashboard","description":"`GET /api/v1/agents/{id}/dashboard` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"}],"exampleBody":null},{"method":"POST","path":"/agents/{id}/onboard-user","summary":"Create onboard user","description":"`POST /api/v1/agents/{id}/onboard-user` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"},{"name":"phone","in":"body","required":true,"type":"string","description":"","example":"+251911223344"},{"name":"name","in":"body","required":true,"type":"string","description":"","example":"example-name"},{"name":"email","in":"body","required":false,"type":"string","format":"email","description":"","example":"user@example.com"},{"name":"idType","in":"body","required":false,"type":"string","description":"","example":"example-idType"},{"name":"idNumber","in":"body","required":false,"type":"string","description":"","example":"example-idNumber"},{"name":"address","in":"body","required":false,"type":"string","description":"","example":"example-address"},{"name":"city","in":"body","required":false,"type":"string","description":"","example":"example-city"},{"name":"country","in":"body","required":false,"type":"string","description":"","example":"example-country"},{"name":"dateOfBirth","in":"body","required":false,"type":"string","description":"","example":"example-dateOfBirth"},{"name":"initialDeposit","in":"body","required":false,"type":"number","description":"","example":0}],"exampleBody":{"phone":"example-phone","name":"example-name","email":"user@example.com","idType":"example-idType","idNumber":"example-idNumber","address":"example-address","city":"example-city","country":"example-country","dateOfBirth":"example-dateOfBirth","initialDeposit":0}},{"method":"POST","path":"/agents/{id}/set-password","summary":"Create set password","description":"`POST /api/v1/agents/{id}/set-password` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"},{"name":"password","in":"body","required":true,"type":"string","description":"","example":"YourPassword123!"}],"exampleBody":{"password":"YourPassword123!"}},{"method":"GET","path":"/agents/{id}/status","summary":"List status","description":"`GET /api/v1/agents/{id}/status` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"}],"exampleBody":null},{"method":"PUT","path":"/agents/{id}/status","summary":"Replace status","description":"`PUT /api/v1/agents/{id}/status` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"},{"name":"reason","in":"body","required":false,"type":"string","description":"","example":"example-reason"},{"name":"notifyAgent","in":"body","required":false,"type":"boolean","description":"","example":false},{"name":"suspensionEndDate","in":"body","required":false,"type":"string","description":"","example":"example-suspensionEndDate"}],"exampleBody":{"reason":"example-reason","notifyAgent":false,"suspensionEndDate":"example-suspensionEndDate"}},{"method":"GET","path":"/agents/{id}/transactions","summary":"List transactions","description":"`GET /api/v1/agents/{id}/transactions` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"},{"name":"type","in":"query","required":false,"type":"string","description":"type query parameter"},{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"},{"name":"limit","in":"query","required":false,"type":"string","description":"limit query parameter"},{"name":"skip","in":"query","required":false,"type":"string","description":"skip query parameter"},{"name":"startDate","in":"query","required":false,"type":"string","description":"startDate query parameter"},{"name":"endDate","in":"query","required":false,"type":"string","description":"endDate query parameter"}],"exampleBody":null},{"method":"POST","path":"/agents/{id}/verify-kyc","summary":"Create verify kyc","description":"`POST /api/v1/agents/{id}/verify-kyc` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"}],"exampleBody":null},{"method":"POST","path":"/agents/kyc/submit","summary":"Create submit","description":"`POST /api/v1/agents/kyc/submit` — introspected from the live route handler.","parameters":[{"name":"type","in":"body","required":true,"type":"string","description":"","example":"example-type"},{"name":"documentUrl","in":"body","required":true,"type":"string","description":"","example":"example-documentUrl"},{"name":"documentData","in":"body","required":false,"type":"string","description":"","example":"example-documentData"},{"name":"metadata","in":"body","required":false,"type":"object","description":"","example":{}},{"name":"agentId","in":"body","required":true,"type":"string","description":"","example":"example-agentId"},{"name":"documents","in":"body","required":true,"type":"array","description":"","example":[]},{"name":"selfieUrl","in":"body","required":true,"type":"string","description":"","example":"example-selfieUrl"},{"name":"selfieData","in":"body","required":false,"type":"string","description":"","example":"example-selfieData"},{"name":"address","in":"body","required":false,"type":"string","description":"","example":"example-address"},{"name":"city","in":"body","required":false,"type":"string","description":"","example":"example-city"},{"name":"region","in":"body","required":false,"type":"string","description":"","example":"example-region"},{"name":"postalCode","in":"body","required":false,"type":"string","description":"","example":"example-postalCode"},{"name":"bankName","in":"body","required":false,"type":"string","description":"","example":"example-bankName"},{"name":"bankAccountNumber","in":"body","required":false,"type":"string","description":"","example":"example-bankAccountNumber"},{"name":"bankAccountName","in":"body","required":false,"type":"string","description":"","example":"example-bankAccountName"}],"exampleBody":{"type":"example-type","documentUrl":"example-documentUrl","documentData":"example-documentData","metadata":{},"agentId":"example-agentId","documents":[],"selfieUrl":"example-selfieUrl","selfieData":"example-selfieData","address":"example-address","city":"example-city","region":"example-region","postalCode":"example-postalCode","bankName":"example-bankName","bankAccountNumber":"example-bankAccountNumber","bankAccountName":"example-bankAccountName"}},{"method":"POST","path":"/agents/kyc/verify","summary":"Create verify","description":"`POST /api/v1/agents/kyc/verify` — introspected from the live route handler.","parameters":[{"name":"agentId","in":"body","required":true,"type":"string","description":"","example":"example-agentId"},{"name":"notes","in":"body","required":false,"type":"string","description":"","example":"example-notes"},{"name":"activateAgent","in":"body","required":false,"type":"boolean","description":"","example":false}],"exampleBody":{"agentId":"example-agentId","notes":"example-notes","activateAgent":false}},{"method":"GET","path":"/agents/list","summary":"List list","description":"`GET /api/v1/agents/list` — introspected from the live route handler.","parameters":[{"name":"page","in":"query","required":false,"type":"string","description":"page query parameter"},{"name":"limit","in":"query","required":false,"type":"string","description":"limit query parameter"},{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"},{"name":"tier","in":"query","required":false,"type":"string","description":"tier query parameter"},{"name":"type","in":"query","required":false,"type":"string","description":"type query parameter"},{"name":"kycStatus","in":"query","required":false,"type":"string","description":"kycStatus query parameter"},{"name":"country","in":"query","required":false,"type":"string","description":"country query parameter"},{"name":"city","in":"query","required":false,"type":"string","description":"city query parameter"},{"name":"search","in":"query","required":false,"type":"string","description":"search query parameter"},{"name":"sortBy","in":"query","required":false,"type":"string","description":"sortBy query parameter"},{"name":"sortOrder","in":"query","required":false,"type":"string","description":"sortOrder query parameter"}],"exampleBody":null},{"method":"GET","path":"/agents/me","summary":"List me","description":"`GET /api/v1/agents/me` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"POST","path":"/agents/register","summary":"Create register","description":"`POST /api/v1/agents/register` — introspected from the live route handler.","parameters":[{"name":"lastName","in":"body","required":true,"type":"string","description":"","example":"example-lastName"},{"name":"email","in":"body","required":false,"type":"string","format":"email","description":"","example":"user@example.com"},{"name":"phone","in":"body","required":true,"type":"string","description":"","example":"+251911223344"},{"name":"agentType","in":"body","required":false,"type":"string","description":"","example":"example-agentType"},{"name":"city","in":"body","required":true,"type":"string","description":"","example":"example-city"},{"name":"country","in":"body","required":true,"type":"string","description":"","example":"example-country"},{"name":"idDocument","in":"body","required":false,"type":"string","description":"","example":"example-idDocument"}],"exampleBody":{"lastName":"example-lastName","email":"user@example.com","phone":"example-phone","agentType":"example-agentType","city":"example-city","country":"example-country","idDocument":"example-idDocument"}},{"method":"GET","path":"/agents","summary":"List agents","description":"","parameters":[{"name":"page","in":"query","required":false,"type":"integer","description":"Page number"},{"name":"limit","in":"query","required":false,"type":"integer","description":"Items per page"}],"exampleBody":null},{"method":"POST","path":"/agents","summary":"Create agent","description":"","parameters":[{"name":"name","in":"body","required":true,"type":"string","description":"","example":"example-name"},{"name":"email","in":"body","required":false,"type":"string","description":"","example":"example-email"},{"name":"phone","in":"body","required":true,"type":"string","description":"","example":"+251911223344"},{"name":"region","in":"body","required":false,"type":"string","description":"","example":"example-region"},{"name":"commissionRate","in":"body","required":false,"type":"number","description":"","example":0},{"name":"password","in":"body","required":false,"type":"string","description":"","example":"YourPassword123!"}],"exampleBody":{"name":"example-name","email":"example-email","phone":"+251911223344","region":"example-region","commissionRate":0,"password":"YourPassword123!"}},{"method":"POST","path":"/airtime/buy","summary":"Create buy","description":"`POST /api/v1/airtime/buy` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"GET","path":"/airtime/rates","summary":"List rates","description":"`GET /api/v1/airtime/rates` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"POST","path":"/airtime/sell","summary":"Create sell","description":"`POST /api/v1/airtime/sell` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"POST","path":"/ambassadors/apply","summary":"Create apply","description":"`POST /api/v1/ambassadors/apply` — introspected from the live route handler.","parameters":[{"name":"fullName","in":"body","required":true,"type":"string","description":"","example":"example-fullName"},{"name":"email","in":"body","required":true,"type":"string","description":"","example":"example-email"},{"name":"phone","in":"body","required":false,"type":"string","description":"","example":"+251911223344"},{"name":"tier","in":"body","required":true,"type":"string","description":"","example":"example-tier"},{"name":"countryCode","in":"body","required":false,"type":"string","description":"","example":"example-countryCode"},{"name":"region","in":"body","required":false,"type":"string","description":"","example":"example-region"},{"name":"campus","in":"body","required":false,"type":"string","description":"","example":"example-campus"},{"name":"audienceSize","in":"body","required":false,"type":"string","description":"","example":"example-audienceSize"},{"name":"channels","in":"body","required":false,"type":"string","description":"","example":"example-channels"},{"name":"motivation","in":"body","required":false,"type":"string","description":"","example":"example-motivation"}],"exampleBody":{"fullName":"example-fullName","email":"example-email","phone":"example-phone","tier":"example-tier","countryCode":"example-countryCode","region":"example-region","campus":"example-campus","audienceSize":"example-audienceSize","channels":"example-channels","motivation":"example-motivation"}},{"method":"POST","path":"/api-keys/{id}/rotate","summary":"Create rotate","description":"`POST /api/v1/api-keys/{id}/rotate` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"}],"exampleBody":null},{"method":"PATCH","path":"/api-keys/{id}","summary":"Update api keys","description":"`PATCH /api/v1/api-keys/{id}` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"}],"exampleBody":null},{"method":"DELETE","path":"/api-keys/{id}","summary":"Delete api keys","description":"`DELETE /api/v1/api-keys/{id}` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"}],"exampleBody":null},{"method":"GET","path":"/api-keys","summary":"List api keys","description":"`GET /api/v1/api-keys` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"POST","path":"/api-keys","summary":"Create api keys","description":"`POST /api/v1/api-keys` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"POST","path":"/auth/2fa/challenge","summary":"Create challenge","description":"`POST /api/v1/auth/2fa/challenge` — introspected from the live route handler.","parameters":[{"name":"challengeToken","in":"body","required":false,"type":"string","description":"","example":"example-challengeToken"},{"name":"code","in":"body","required":false,"type":"string","description":"","example":"example-code"}],"exampleBody":{"challengeToken":"example-challengeToken","code":"example-code"}},{"method":"GET","path":"/auth/2fa","summary":"List 2fa","description":"`GET /api/v1/auth/2fa` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"POST","path":"/auth/2fa","summary":"Create 2fa","description":"`POST /api/v1/auth/2fa` — introspected from the live route handler.","parameters":[{"name":"action","in":"body","required":false,"type":"string","description":"","example":"example-action"},{"name":"code","in":"body","required":false,"type":"string","description":"","example":"example-code"}],"exampleBody":{"action":"example-action","code":"example-code"}},{"method":"POST","path":"/auth/account-exists","summary":"Create account exists","description":"`POST /api/v1/auth/account-exists` — introspected from the live route handler.","parameters":[{"name":"phone","in":"body","required":true,"type":"string","description":"","example":"+251911223344"},{"name":"countryCode","in":"body","required":false,"type":"string","description":"","example":"example-countryCode"}],"exampleBody":{"phone":"example-phone","countryCode":"example-countryCode"}},{"method":"POST","path":"/auth/change-password","summary":"Create change password","description":"`POST /api/v1/auth/change-password` — introspected from the live route handler.","parameters":[{"name":"currentPassword","in":"body","required":true,"type":"string","description":"","example":"example-currentPassword"},{"name":"newPassword","in":"body","required":true,"type":"string","description":"","example":"example-newPassword"}],"exampleBody":{"currentPassword":"example-currentPassword","newPassword":"example-newPassword"}},{"method":"POST","path":"/auth/ensure-firebase-domain","summary":"Create ensure firebase domain","description":"`POST /api/v1/auth/ensure-firebase-domain` — introspected from the live route handler.","parameters":[{"name":"hostname","in":"body","required":false,"type":"string","description":"","example":"example-hostname"},{"name":"domain","in":"body","required":false,"type":"string","description":"","example":"example-domain"},{"name":"force","in":"body","required":false,"type":"string","description":"","example":"example-force"}],"exampleBody":{"hostname":"example-hostname","domain":"example-domain","force":"example-force"}},{"method":"POST","path":"/auth/firebase","summary":"Create firebase","description":"`POST /api/v1/auth/firebase` — introspected from the live route handler.","parameters":[{"name":"idToken","in":"body","required":true,"type":"string","description":"","example":"example-idToken"},{"name":"firstName","in":"body","required":false,"type":"string","description":"","example":"example-firstName"},{"name":"lastName","in":"body","required":false,"type":"string","description":"","example":"example-lastName"},{"name":"country","in":"body","required":false,"type":"string","description":"","example":"example-country"},{"name":"referralCode","in":"body","required":false,"type":"string","description":"","example":"example-referralCode"},{"name":"allowCreate","in":"body","required":true,"type":"string","description":"","example":"example-allowCreate"}],"exampleBody":{"idToken":"example-idToken","firstName":"example-firstName","lastName":"example-lastName","country":"example-country","referralCode":"example-referralCode","allowCreate":"example-allowCreate"}},{"method":"POST","path":"/auth/login","summary":"Login (password or OTP)","description":"Authenticates across all account types (admin, staff, agent, merchant, personal user). Supports email+password, phone+password, and passwordless phone+OTP. Rate limited.","parameters":[{"name":"email","in":"body","required":false,"type":"string","format":"email","description":"Optional. Use with password for email login.","example":"amina@example.com"},{"name":"phone","in":"body","required":false,"type":"string","description":"Optional. Use with password or otp for phone login.","example":"+251911223344"},{"name":"password","in":"body","required":false,"type":"string","format":"password","description":"Optional if otp is sent. Required for email or phone password login.","example":"YourPassword123!"},{"name":"otp","in":"body","required":false,"type":"string","description":"Optional one-time code for passwordless phone login. Use after POST /auth/send-otp.","example":"example-otp"}],"exampleBody":{"email":"amina@example.com","password":"StrongPass!23"}},{"method":"POST","path":"/auth/logout","summary":"Logout","description":"Invalidates the current session/refresh token.","parameters":[],"exampleBody":null},{"method":"GET","path":"/auth/me","summary":"Current account","description":"Returns the authenticated principal derived from the access token.","parameters":[],"exampleBody":null},{"method":"POST","path":"/auth/password","summary":"Create password","description":"`POST /api/v1/auth/password` — introspected from the live route handler.","parameters":[{"name":"currentPassword","in":"body","required":true,"type":"string","description":"","example":"example-currentPassword"},{"name":"newPassword","in":"body","required":true,"type":"string","description":"","example":"example-newPassword"}],"exampleBody":{"currentPassword":"example-currentPassword","newPassword":"example-newPassword"}},{"method":"PATCH","path":"/auth/password","summary":"Change password","description":"","parameters":[{"name":"currentPassword","in":"body","required":true,"type":"string","description":"","example":"example-currentPassword"},{"name":"newPassword","in":"body","required":true,"type":"string","description":"","example":"example-newPassword"}],"exampleBody":{"currentPassword":"example-currentPassword","newPassword":"example-newPassword"}},{"method":"POST","path":"/auth/refresh","summary":"Refresh access token","description":"Exchanges a valid refresh token for a new short-lived access token.","parameters":[{"name":"refreshToken","in":"body","required":true,"type":"string","description":"","example":"example-refreshToken"}],"exampleBody":{"refreshToken":"example-refreshToken"}},{"method":"POST","path":"/auth/register","summary":"Register a new account","description":"Creates a personal user, merchant, or agent account depending on `accountType`.","parameters":[{"name":"firstName","in":"body","required":true,"type":"string","description":"Given name","example":"Amina"},{"name":"lastName","in":"body","required":true,"type":"string","description":"Family name","example":"Yusuf"},{"name":"phone","in":"body","required":true,"type":"string","description":"Mobile number in international format","example":"+251911223344"},{"name":"password","in":"body","required":true,"type":"string","format":"password","description":"Min 8 chars with upper, lower, number, special","example":"YourPassword123!"},{"name":"email","in":"body","required":false,"type":"string","format":"email","description":"Optional. If omitted a tenant-scoped address is generated from the phone.","example":"user@example.com"},{"name":"country","in":"body","required":false,"type":"string","description":"ISO 3166-1 alpha-2. Optional; defaults from the signup site.","example":"ET"},{"name":"type","in":"body","required":false,"type":"string","enum":["user","merchant","agent"],"description":"Optional account kind. Defaults to user (or merchant if businessName is set).","example":"user"},{"name":"businessName","in":"body","required":false,"type":"string","description":"Optional. Required when type is merchant.","example":"example-businessName"},{"name":"name","in":"body","required":false,"type":"string","description":"Optional display name (merchant/agent).","example":"example-name"},{"name":"referralCode","in":"body","required":false,"type":"string","description":"Optional affiliate or ambassador code.","example":"example-referralCode"}],"exampleBody":{"firstName":"Amina","lastName":"Yusuf","phone":"+251911223344","password":"StrongPass!23","country":"ET","email":"amina@example.com"}},{"method":"POST","path":"/auth/reset-password","summary":"Create reset password","description":"`POST /api/v1/auth/reset-password` — introspected from the live route handler.","parameters":[{"name":"otp","in":"body","required":false,"type":"string","description":"","example":"example-otp"},{"name":"newPassword","in":"body","required":true,"type":"string","description":"","example":"example-newPassword"},{"name":"firebaseVerified","in":"body","required":false,"type":"string","description":"","example":"example-firebaseVerified"},{"name":"phone","in":"body","required":true,"type":"string","description":"","example":"+251911223344"},{"name":"countryCode","in":"body","required":false,"type":"string","description":"","example":"example-countryCode"}],"exampleBody":{"otp":"example-otp","newPassword":"example-newPassword","firebaseVerified":"example-firebaseVerified","phone":"example-phone","countryCode":"example-countryCode"}},{"method":"POST","path":"/auth/send-email-otp","summary":"Send email OTP","description":"","parameters":[{"name":"email","in":"body","required":true,"type":"string","format":"email","description":"","example":"user@example.com"}],"exampleBody":{"email":"user@example.com"}},{"method":"POST","path":"/auth/send-login-otp","summary":"Create send login otp","description":"`POST /api/v1/auth/send-login-otp` — introspected from the live route handler.","parameters":[{"name":"phone","in":"body","required":true,"type":"string","description":"","example":"+251911223344"},{"name":"countryCode","in":"body","required":false,"type":"string","description":"","example":"example-countryCode"}],"exampleBody":{"phone":"example-phone","countryCode":"example-countryCode"}},{"method":"POST","path":"/auth/send-otp","summary":"Send phone OTP","description":"Sends a one-time passcode via SMS for verification or passwordless login.","parameters":[{"name":"phone","in":"body","required":true,"type":"string","description":"","example":"+251911223344"}],"exampleBody":{"phone":"+251911223344"}},{"method":"POST","path":"/auth/sessions/revoke","summary":"Create revoke","description":"`POST /api/v1/auth/sessions/revoke` — introspected from the live route handler.","parameters":[{"name":"sessionId","in":"body","required":false,"type":"string","description":"","example":"example-sessionId"}],"exampleBody":{"sessionId":"example-sessionId"}},{"method":"GET","path":"/auth/validate","summary":"List validate","description":"`GET /api/v1/auth/validate` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"POST","path":"/auth/verify-email-otp","summary":"Verify email OTP","description":"","parameters":[{"name":"email","in":"body","required":true,"type":"string","description":"","example":"example-email"},{"name":"otp","in":"body","required":true,"type":"string","description":"","example":"example-otp"}],"exampleBody":{"email":"example-email","otp":"example-otp"}},{"method":"POST","path":"/auth/verify-otp","summary":"Verify phone OTP","description":"Verifies a previously sent SMS OTP.","parameters":[{"name":"phone","in":"body","required":true,"type":"string","description":"","example":"+251911223344"},{"name":"otp","in":"body","required":true,"type":"string","description":"","example":"123456"}],"exampleBody":{"phone":"+251911223344","otp":"123456"}},{"method":"POST","path":"/bank/branding/upload","summary":"Create upload","description":"`POST /api/v1/bank/branding/upload` — introspected from the live route handler.","parameters":[{"name":"assetType","in":"body","required":false,"type":"string","description":"","example":"example-assetType"},{"name":"file","in":"body","required":true,"type":"string","description":"","example":"example-file"},{"name":"dataUri","in":"body","required":true,"type":"string","description":"","example":"example-dataUri"}],"exampleBody":{"assetType":"example-assetType","file":"example-file","dataUri":"example-dataUri"}},{"method":"GET","path":"/bank/deposits","summary":"List deposits","description":"`GET /api/v1/bank/deposits` — introspected from the live route handler.","parameters":[{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"}],"exampleBody":null},{"method":"POST","path":"/bank/deposits","summary":"Create deposits","description":"`POST /api/v1/bank/deposits` — introspected from the live route handler.","parameters":[{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"},{"name":"id","in":"body","required":true,"type":"string","description":"","example":"example-id"},{"name":"depositId","in":"body","required":false,"type":"string","description":"","example":"example-depositId"},{"name":"action","in":"body","required":false,"type":"string","description":"","example":"example-action"},{"name":"note","in":"body","required":false,"type":"string","description":"","example":"example-note"},{"name":"rejectionReason","in":"body","required":false,"type":"string","description":"","example":"example-rejectionReason"}],"exampleBody":{"id":"example-id","depositId":"example-depositId","action":"example-action","note":"example-note","rejectionReason":"example-rejectionReason"}},{"method":"GET","path":"/bank/domain","summary":"List domain","description":"`GET /api/v1/bank/domain` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"POST","path":"/bank/domain","summary":"Create domain","description":"`POST /api/v1/bank/domain` — introspected from the live route handler.","parameters":[{"name":"domain","in":"body","required":true,"type":"string","description":"","example":"example-domain"}],"exampleBody":{"domain":"example-domain"}},{"method":"PUT","path":"/bank/domain","summary":"Replace domain","description":"`PUT /api/v1/bank/domain` — introspected from the live route handler.","parameters":[{"name":"domain","in":"body","required":true,"type":"string","description":"","example":"example-domain"}],"exampleBody":{"domain":"example-domain"}},{"method":"PATCH","path":"/bank/fees/{id}","summary":"Update fees","description":"`PATCH /api/v1/bank/fees/{id}` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"}],"exampleBody":null},{"method":"DELETE","path":"/bank/fees/{id}","summary":"Delete fees","description":"`DELETE /api/v1/bank/fees/{id}` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"}],"exampleBody":null},{"method":"GET","path":"/bank/fees","summary":"List fees","description":"`GET /api/v1/bank/fees` — introspected from the live route handler.","parameters":[{"name":"channel","in":"query","required":false,"type":"string","description":"channel query parameter"}],"exampleBody":null},{"method":"POST","path":"/bank/fees","summary":"Create fees","description":"`POST /api/v1/bank/fees` — introspected from the live route handler.","parameters":[{"name":"channel","in":"query","required":false,"type":"string","description":"channel query parameter"},{"name":"name","in":"body","required":true,"type":"string","description":"","example":"example-name"},{"name":"channel","in":"body","required":true,"type":"string","description":"","example":"example-channel"},{"name":"feeType","in":"body","required":true,"type":"string","description":"","example":"example-feeType"},{"name":"fixedAmount","in":"body","required":false,"type":"string","description":"","example":"example-fixedAmount"},{"name":"percentageAmount","in":"body","required":false,"type":"string","description":"","example":"example-percentageAmount"},{"name":"minFee","in":"body","required":false,"type":"string","description":"","example":"example-minFee"},{"name":"maxFee","in":"body","required":false,"type":"string","description":"","example":"example-maxFee"}],"exampleBody":{"name":"example-name","channel":"example-channel","feeType":"example-feeType","fixedAmount":"example-fixedAmount","percentageAmount":"example-percentageAmount","minFee":"example-minFee","maxFee":"example-maxFee"}},{"method":"GET","path":"/bank/fraud","summary":"List fraud","description":"`GET /api/v1/bank/fraud` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"PUT","path":"/bank/fraud","summary":"Replace fraud","description":"`PUT /api/v1/bank/fraud` — introspected from the live route handler.","parameters":[{"name":"velocityCount1h","in":"body","required":false,"type":"string","description":"","example":"example-velocityCount1h"},{"name":"maxAmountAlert","in":"body","required":false,"type":"string","description":"","example":"example-maxAmountAlert"},{"name":"highRiskScore","in":"body","required":false,"type":"string","description":"","example":"example-highRiskScore"},{"name":"autoBlockScore","in":"body","required":false,"type":"string","description":"","example":"example-autoBlockScore"}],"exampleBody":{"velocityCount1h":"example-velocityCount1h","maxAmountAlert":"example-maxAmountAlert","highRiskScore":"example-highRiskScore","autoBlockScore":"example-autoBlockScore"}},{"method":"POST","path":"/bank/login","summary":"Create login","description":"`POST /api/v1/bank/login` — introspected from the live route handler.","parameters":[{"name":"email","in":"body","required":true,"type":"string","description":"","example":"example-email"},{"name":"password","in":"body","required":true,"type":"string","description":"","example":"YourPassword123!"}],"exampleBody":{"email":"example-email","password":"YourPassword123!"}},{"method":"GET","path":"/bank/reports","summary":"List reports","description":"`GET /api/v1/bank/reports` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"GET","path":"/bank/roles","summary":"List roles","description":"`GET /api/v1/bank/roles` — introspected from the live route handler.","parameters":[{"name":"resource","in":"query","required":false,"type":"string","description":"resource query parameter"}],"exampleBody":null},{"method":"POST","path":"/bank/roles","summary":"Create roles","description":"`POST /api/v1/bank/roles` — introspected from the live route handler.","parameters":[{"name":"resource","in":"query","required":false,"type":"string","description":"resource query parameter"},{"name":"name","in":"body","required":true,"type":"string","description":"","example":"example-name"},{"name":"email","in":"body","required":true,"type":"string","description":"","example":"example-email"},{"name":"password","in":"body","required":true,"type":"string","description":"","example":"YourPassword123!"},{"name":"bankRole","in":"body","required":false,"type":"string","description":"","example":"example-bankRole"}],"exampleBody":{"name":"example-name","email":"example-email","password":"YourPassword123!","bankRole":"example-bankRole"}},{"method":"PATCH","path":"/bank/rules/{id}","summary":"Update rules","description":"`PATCH /api/v1/bank/rules/{id}` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"},{"name":"bankCode","in":"body","required":false,"type":"string","description":"","example":"example-bankCode"},{"name":"kind","in":"body","required":false,"type":"string","description":"","example":"example-kind"},{"name":"configId","in":"body","required":false,"type":"string","description":"","example":"example-configId"}],"exampleBody":{"bankCode":"example-bankCode","kind":"example-kind","configId":"example-configId"}},{"method":"DELETE","path":"/bank/rules/{id}","summary":"Delete rules","description":"`DELETE /api/v1/bank/rules/{id}` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"}],"exampleBody":null},{"method":"GET","path":"/bank/rules","summary":"List rules","description":"`GET /api/v1/bank/rules` — introspected from the live route handler.","parameters":[{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"},{"name":"stats","in":"query","required":false,"type":"string","description":"stats query parameter"}],"exampleBody":null},{"method":"POST","path":"/bank/rules","summary":"Create rules","description":"`POST /api/v1/bank/rules` — introspected from the live route handler.","parameters":[{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"},{"name":"stats","in":"query","required":false,"type":"string","description":"stats query parameter"},{"name":"bankName","in":"body","required":false,"type":"string","description":"","example":"example-bankName"}],"exampleBody":{"bankName":"example-bankName"}},{"method":"GET","path":"/bank/stats","summary":"List stats","description":"`GET /api/v1/bank/stats` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"GET","path":"/bank/transactions","summary":"List transactions","description":"`GET /api/v1/bank/transactions` — introspected from the live route handler.","parameters":[{"name":"page","in":"query","required":false,"type":"string","description":"page query parameter"},{"name":"limit","in":"query","required":false,"type":"string","description":"limit query parameter"},{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"}],"exampleBody":null},{"method":"POST","path":"/bank/users/{id}/actions","summary":"Create actions","description":"`POST /api/v1/bank/users/{id}/actions` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"},{"name":"action","in":"body","required":false,"type":"string","description":"","example":"example-action"},{"name":"content","in":"body","required":true,"type":"string","description":"","example":"example-content"},{"name":"notes","in":"body","required":false,"type":"string","description":"","example":"example-notes"},{"name":"sessionId","in":"body","required":true,"type":"string","description":"","example":"example-sessionId"}],"exampleBody":{"action":"example-action","content":"example-content","notes":"example-notes","sessionId":"example-sessionId"}},{"method":"POST","path":"/bank/users/{id}/kyc","summary":"Create kyc","description":"`POST /api/v1/bank/users/{id}/kyc` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"},{"name":"action","in":"body","required":false,"type":"string","description":"","example":"example-action"},{"name":"notes","in":"body","required":false,"type":"string","description":"","example":"example-notes"},{"name":"documentId","in":"body","required":false,"type":"string","description":"","example":"example-documentId"},{"name":"documentType","in":"body","required":false,"type":"string","description":"","example":"example-documentType"},{"name":"documentReviews","in":"body","required":false,"type":"string","description":"","example":"example-documentReviews"}],"exampleBody":{"action":"example-action","notes":"example-notes","documentId":"example-documentId","documentType":"example-documentType","documentReviews":"example-documentReviews"}},{"method":"GET","path":"/bank/users/{id}","summary":"Get users","description":"`GET /api/v1/bank/users/{id}` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"}],"exampleBody":null},{"method":"PUT","path":"/bank/users/{id}","summary":"Replace users","description":"`PUT /api/v1/bank/users/{id}` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"},{"name":"name","in":"body","required":false,"type":"string","description":"","example":"example-name"},{"name":"email","in":"body","required":false,"type":"string","description":"","example":"example-email"},{"name":"phone","in":"body","required":false,"type":"string","description":"","example":"+251911223344"},{"name":"role","in":"body","required":false,"type":"string","description":"","example":"example-role"},{"name":"action","in":"body","required":false,"type":"string","description":"","example":"example-action"},{"name":"notes","in":"body","required":false,"type":"string","description":"","example":"example-notes"},{"name":"reason","in":"body","required":false,"type":"string","description":"","example":"example-reason"}],"exampleBody":{"name":"example-name","email":"example-email","phone":"example-phone","role":"example-role","action":"example-action","notes":"example-notes","reason":"example-reason"}},{"method":"PATCH","path":"/bank/users/{id}","summary":"Update users","description":"`PATCH /api/v1/bank/users/{id}` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"},{"name":"name","in":"body","required":false,"type":"string","description":"","example":"example-name"},{"name":"email","in":"body","required":false,"type":"string","description":"","example":"example-email"},{"name":"phone","in":"body","required":false,"type":"string","description":"","example":"+251911223344"},{"name":"role","in":"body","required":false,"type":"string","description":"","example":"example-role"},{"name":"action","in":"body","required":false,"type":"string","description":"","example":"example-action"},{"name":"notes","in":"body","required":false,"type":"string","description":"","example":"example-notes"},{"name":"reason","in":"body","required":false,"type":"string","description":"","example":"example-reason"}],"exampleBody":{"name":"example-name","email":"example-email","phone":"example-phone","role":"example-role","action":"example-action","notes":"example-notes","reason":"example-reason"}},{"method":"DELETE","path":"/bank/users/{id}","summary":"Delete users","description":"`DELETE /api/v1/bank/users/{id}` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"}],"exampleBody":null},{"method":"POST","path":"/bank/users/bulk-delete","summary":"Create bulk delete","description":"`POST /api/v1/bank/users/bulk-delete` — introspected from the live route handler.","parameters":[{"name":"ids","in":"body","required":true,"type":"string","description":"","example":"example-ids"}],"exampleBody":{"ids":"example-ids"}},{"method":"GET","path":"/bank/users/duplicates","summary":"List duplicates","description":"`GET /api/v1/bank/users/duplicates` — introspected from the live route handler.","parameters":[{"name":"keepId","in":"query","required":false,"type":"string","description":"keepId query parameter"},{"name":"phone","in":"query","required":false,"type":"string","description":"phone query parameter"}],"exampleBody":null},{"method":"DELETE","path":"/bank/users/duplicates","summary":"Delete duplicates","description":"`DELETE /api/v1/bank/users/duplicates` — introspected from the live route handler.","parameters":[{"name":"keepId","in":"query","required":false,"type":"string","description":"keepId query parameter"},{"name":"phone","in":"query","required":false,"type":"string","description":"phone query parameter"}],"exampleBody":null},{"method":"GET","path":"/bank/users","summary":"List users","description":"`GET /api/v1/bank/users` — introspected from the live route handler.","parameters":[{"name":"page","in":"query","required":false,"type":"string","description":"page query parameter"},{"name":"limit","in":"query","required":false,"type":"string","description":"limit query parameter"},{"name":"search","in":"query","required":false,"type":"string","description":"search query parameter"},{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"},{"name":"kycStatus","in":"query","required":false,"type":"string","description":"kycStatus query parameter"}],"exampleBody":null},{"method":"POST","path":"/bank/users","summary":"Create users","description":"`POST /api/v1/bank/users` — introspected from the live route handler.","parameters":[{"name":"page","in":"query","required":false,"type":"string","description":"page query parameter"},{"name":"limit","in":"query","required":false,"type":"string","description":"limit query parameter"},{"name":"search","in":"query","required":false,"type":"string","description":"search query parameter"},{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"},{"name":"kycStatus","in":"query","required":false,"type":"string","description":"kycStatus query parameter"},{"name":"email","in":"body","required":true,"type":"string","description":"","example":"example-email"},{"name":"name","in":"body","required":false,"type":"string","description":"","example":"example-name"},{"name":"firstName","in":"body","required":false,"type":"string","description":"","example":"example-firstName"},{"name":"lastName","in":"body","required":false,"type":"string","description":"","example":"example-lastName"},{"name":"phone","in":"body","required":false,"type":"string","description":"","example":"+251911223344"},{"name":"password","in":"body","required":false,"type":"string","description":"","example":"YourPassword123!"},{"name":"role","in":"body","required":false,"type":"string","description":"","example":"example-role"}],"exampleBody":{"email":"example-email","name":"example-name","firstName":"example-firstName","lastName":"example-lastName","phone":"example-phone","password":"YourPassword123!","role":"example-role"}},{"method":"GET","path":"/bank/white-label","summary":"List white label","description":"`GET /api/v1/bank/white-label` — introspected from the live route handler.","parameters":[{"name":"section","in":"query","required":false,"type":"string","description":"section query parameter"},{"name":"page","in":"query","required":false,"type":"string","description":"page query parameter"},{"name":"limit","in":"query","required":false,"type":"string","description":"limit query parameter"},{"name":"kycStatus","in":"query","required":false,"type":"string","description":"kycStatus query parameter"},{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"},{"name":"userId","in":"query","required":false,"type":"string","description":"userId query parameter"}],"exampleBody":null},{"method":"POST","path":"/bank/white-label","summary":"Create white label","description":"`POST /api/v1/bank/white-label` — introspected from the live route handler.","parameters":[{"name":"section","in":"query","required":false,"type":"string","description":"section query parameter"},{"name":"page","in":"query","required":false,"type":"string","description":"page query parameter"},{"name":"limit","in":"query","required":false,"type":"string","description":"limit query parameter"},{"name":"kycStatus","in":"query","required":false,"type":"string","description":"kycStatus query parameter"},{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"},{"name":"userId","in":"query","required":false,"type":"string","description":"userId query parameter"},{"name":"action","in":"body","required":false,"type":"string","description":"","example":"example-action"},{"name":"userId","in":"body","required":true,"type":"string","description":"","example":"example-userId"},{"name":"notes","in":"body","required":false,"type":"string","description":"","example":"example-notes"},{"name":"documentReviews","in":"body","required":false,"type":"string","description":"","example":"example-documentReviews"}],"exampleBody":{"action":"example-action","userId":"example-userId","notes":"example-notes","documentReviews":"example-documentReviews"}},{"method":"PUT","path":"/bank/white-label","summary":"Replace white label","description":"`PUT /api/v1/bank/white-label` — introspected from the live route handler.","parameters":[{"name":"section","in":"query","required":false,"type":"string","description":"section query parameter"},{"name":"page","in":"query","required":false,"type":"string","description":"page query parameter"},{"name":"limit","in":"query","required":false,"type":"string","description":"limit query parameter"},{"name":"kycStatus","in":"query","required":false,"type":"string","description":"kycStatus query parameter"},{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"},{"name":"userId","in":"query","required":false,"type":"string","description":"userId query parameter"},{"name":"action","in":"body","required":false,"type":"string","description":"","example":"example-action"},{"name":"userId","in":"body","required":true,"type":"string","description":"","example":"example-userId"},{"name":"notes","in":"body","required":false,"type":"string","description":"","example":"example-notes"},{"name":"documentReviews","in":"body","required":false,"type":"string","description":"","example":"example-documentReviews"}],"exampleBody":{"action":"example-action","userId":"example-userId","notes":"example-notes","documentReviews":"example-documentReviews"}},{"method":"GET","path":"/beneficiaries/{id}","summary":"Get beneficiaries","description":"`GET /api/v1/beneficiaries/{id}` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"}],"exampleBody":null},{"method":"PUT","path":"/beneficiaries/{id}","summary":"Replace beneficiaries","description":"`PUT /api/v1/beneficiaries/{id}` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"},{"name":"name","in":"body","required":false,"type":"string","description":"","example":"example-name"},{"name":"phone","in":"body","required":false,"type":"string","description":"","example":"+251911223344"},{"name":"country","in":"body","required":false,"type":"string","description":"","example":"example-country"},{"name":"paymentMethod","in":"body","required":false,"type":"string","description":"","example":"example-paymentMethod"},{"name":"isFavorite","in":"body","required":false,"type":"string","description":"","example":"example-isFavorite"}],"exampleBody":{"name":"example-name","phone":"example-phone","country":"example-country","paymentMethod":"example-paymentMethod","isFavorite":"example-isFavorite"}},{"method":"DELETE","path":"/beneficiaries/{id}","summary":"Delete beneficiaries","description":"`DELETE /api/v1/beneficiaries/{id}` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"}],"exampleBody":null},{"method":"GET","path":"/beneficiaries","summary":"List beneficiaries","description":"`GET /api/v1/beneficiaries` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"POST","path":"/beneficiaries","summary":"Create beneficiaries","description":"`POST /api/v1/beneficiaries` — introspected from the live route handler.","parameters":[{"name":"name","in":"body","required":true,"type":"string","description":"","example":"example-name"},{"name":"phone","in":"body","required":true,"type":"string","description":"","example":"+251911223344"},{"name":"country","in":"body","required":false,"type":"string","description":"","example":"example-country"},{"name":"paymentMethod","in":"body","required":false,"type":"string","description":"","example":"example-paymentMethod"},{"name":"isFavorite","in":"body","required":false,"type":"string","description":"","example":"example-isFavorite"}],"exampleBody":{"name":"example-name","phone":"example-phone","country":"example-country","paymentMethod":"example-paymentMethod","isFavorite":"example-isFavorite"}},{"method":"GET","path":"/betting/account","summary":"List account","description":"`GET /api/v1/betting/account` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"GET","path":"/betting/complete","summary":"List complete","description":"`GET /api/v1/betting/complete` — introspected from the live route handler.","parameters":[{"name":"paymentId","in":"query","required":false,"type":"string","description":"paymentId query parameter"}],"exampleBody":null},{"method":"POST","path":"/betting/complete","summary":"Create complete","description":"`POST /api/v1/betting/complete` — introspected from the live route handler.","parameters":[{"name":"paymentId","in":"query","required":false,"type":"string","description":"paymentId query parameter"},{"name":"paymentId","in":"body","required":true,"type":"string","description":"","example":"example-paymentId"},{"name":"paymentMethod","in":"body","required":true,"type":"string","description":"","example":"example-paymentMethod"},{"name":"phone","in":"body","required":true,"type":"string","description":"","example":"+251911223344"},{"name":"otp","in":"body","required":true,"type":"string","description":"","example":"example-otp"},{"name":"firebaseIdToken","in":"body","required":false,"type":"string","description":"","example":"example-firebaseIdToken"}],"exampleBody":{"paymentId":"example-paymentId","paymentMethod":"example-paymentMethod","phone":"example-phone","otp":"example-otp","firebaseIdToken":"example-firebaseIdToken"}},{"method":"GET","path":"/betting/deposit","summary":"List deposit","description":"`GET /api/v1/betting/deposit` — introspected from the live route handler.","parameters":[{"name":"reference","in":"query","required":false,"type":"string","description":"reference query parameter"}],"exampleBody":null},{"method":"POST","path":"/betting/deposit","summary":"Create deposit","description":"`POST /api/v1/betting/deposit` — introspected from the live route handler.","parameters":[{"name":"Idempotency-Key","in":"header","required":true,"type":"string","description":"A unique client-generated key (e.g. a UUID v4) that makes this request safe to retry. Replaying the same key returns the original result instead of creating a duplicate payment.","example":"idmp_8f14e45fceea167a5a36dedd4bea2543"},{"name":"reference","in":"query","required":false,"type":"string","description":"reference query parameter"},{"name":"userId","in":"body","required":true,"type":"string","description":"","example":"example-userId"},{"name":"amount","in":"body","required":true,"type":"number","description":"","example":100},{"name":"currency","in":"body","required":false,"type":"string","description":"","example":"ETB"},{"name":"country","in":"body","required":false,"type":"string","description":"","example":"example-country"},{"name":"reference","in":"body","required":true,"type":"string","description":"","example":"example-reference"},{"name":"callbackUrl","in":"body","required":false,"type":"string","description":"","example":"example-callbackUrl"},{"name":"redirectUrl","in":"body","required":false,"type":"string","description":"","example":"example-redirectUrl"},{"name":"metadata","in":"body","required":false,"type":"object","description":"","example":{}}],"exampleBody":{"userId":"example-userId","amount":100,"currency":"example-currency","country":"example-country","reference":"example-reference","callbackUrl":"example-callbackUrl","redirectUrl":"example-redirectUrl","metadata":{}}},{"method":"GET","path":"/betting/payment/{paymentId}","summary":"Get payment","description":"`GET /api/v1/betting/payment/{paymentId}` — introspected from the live route handler.","parameters":[{"name":"paymentId","in":"path","required":true,"type":"string","description":"paymentId identifier"}],"exampleBody":null},{"method":"POST","path":"/betting/payment/{paymentId}","summary":"Create payment","description":"`POST /api/v1/betting/payment/{paymentId}` — introspected from the live route handler.","parameters":[{"name":"paymentId","in":"path","required":true,"type":"string","description":"paymentId identifier"},{"name":"paymentMethod","in":"body","required":false,"type":"string","description":"","example":"example-paymentMethod"},{"name":"phone","in":"body","required":true,"type":"string","description":"","example":"+251911223344"},{"name":"otp","in":"body","required":false,"type":"string","description":"","example":"example-otp"},{"name":"pin","in":"body","required":false,"type":"string","description":"","example":"example-pin"}],"exampleBody":{"paymentMethod":"example-paymentMethod","phone":"example-phone","otp":"example-otp","pin":"example-pin"}},{"method":"GET","path":"/betting/status","summary":"List status","description":"`GET /api/v1/betting/status` — introspected from the live route handler.","parameters":[{"name":"reference","in":"query","required":false,"type":"string","description":"reference query parameter"},{"name":"transactionId","in":"query","required":false,"type":"string","description":"transactionId query parameter"},{"name":"paymentId","in":"query","required":false,"type":"string","description":"paymentId query parameter"},{"name":"payment_id","in":"query","required":false,"type":"string","description":"payment_id query parameter"}],"exampleBody":null},{"method":"GET","path":"/betting/webhook-endpoint","summary":"List webhook endpoint","description":"`GET /api/v1/betting/webhook-endpoint` — introspected from the live route handler.","parameters":[],"exampleBody":null},{"method":"POST","path":"/betting/webhook-endpoint","summary":"Create webhook endpoint","description":"`POST /api/v1/betting/webhook-endpoint` — introspected from the live route handler.","parameters":[{"name":"webhookUrl","in":"body","required":false,"type":"string","description":"","example":"example-webhookUrl"}],"exampleBody":{"webhookUrl":"example-webhookUrl"}},{"method":"POST","path":"/betting/webhook/{providerId}","summary":"Create webhook","description":"`POST /api/v1/betting/webhook/{providerId}` — introspected from the live route handler.","parameters":[{"name":"providerId","in":"path","required":true,"type":"string","description":"providerId identifier"},{"name":"paymentId","in":"body","required":true,"type":"string","description":"","example":"example-paymentId"},{"name":"event","in":"body","required":true,"type":"string","description":"","example":"example-event"},{"name":"paymentMethod","in":"body","required":false,"type":"string","description":"","example":"example-paymentMethod"}],"exampleBody":{"paymentId":"example-paymentId","event":"example-event","paymentMethod":"example-paymentMethod"}},{"method":"GET","path":"/betting/withdraw","summary":"List withdraw","description":"`GET /api/v1/betting/withdraw` — introspected from the live route handler.","parameters":[{"name":"reference","in":"query","required":false,"type":"string","description":"reference query parameter"}],"exampleBody":null},{"method":"POST","path":"/betting/withdraw","summary":"Create withdraw","description":"`POST /api/v1/betting/withdraw` — introspected from the live route handler.","parameters":[{"name":"Idempotency-Key","in":"header","required":true,"type":"string","description":"A unique client-generated key (e.g. a UUID v4) that makes this request safe to retry. Replaying the same key returns the original result instead of creating a duplicate payment.","example":"idmp_8f14e45fceea167a5a36dedd4bea2543"},{"name":"reference","in":"query","required":false,"type":"string","description":"reference query parameter"},{"name":"userId","in":"body","required":true,"type":"string","description":"","example":"example-userId"},{"name":"amount","in":"body","required":true,"type":"number","description":"","example":100},{"name":"currency","in":"body","required":false,"type":"string","description":"","example":"ETB"},{"name":"country","in":"body","required":false,"type":"string","description":"","example":"example-country"},{"name":"reference","in":"body","required":true,"type":"string","description":"","example":"example-reference"},{"name":"phone","in":"body","required":true,"type":"string","description":"","example":"+251911223344"},{"name":"name","in":"body","required":false,"type":"string","description":"","example":"example-name"}],"exampleBody":{"userId":"example-userId","amount":100,"currency":"example-currency","country":"example-country","reference":"example-reference","phone":"example-phone","name":"example-name"}},{"method":"GET","path":"/bills/categories","summary":"List categories","description":"`GET /api/v1/bills/categories` — introspected from the live route handler.","parameters":[{"name":"country","in":"query","required":false,"type":"string","description":"country query parameter"}],"exampleBody":null},{"method":"GET","path":"/bills/history","summary":"List history","description":"`GET /api/v1/bills/history` — introspected from the live route handler.","parameters":[{"name":"page","in":"query","required":false,"type":"string","description":"page query parameter"},{"name":"limit","in":"query","required":false,"type":"string","description":"limit query parameter"},{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"},{"name":"categoryId","in":"query","required":false,"type":"string","description":"categoryId query parameter"},{"name":"fromDate","in":"query","required":false,"type":"string","description":"fromDate query parameter"},{"name":"toDate","in":"query","required":false,"type":"string","description":"toDate query parameter"}],"exampleBody":null},{"method":"POST","path":"/bills/pay","summary":"Create pay","description":"`POST /api/v1/bills/pay` — introspected from the live route handler.","parameters":[{"name":"providerId","in":"body","required":true,"type":"string","description":"","example":"example-providerId"},{"name":"accountNumber","in":"body","required":true,"type":"string","description":"","example":"example-accountNumber"},{"name":"amount","in":"body","required":false,"type":"string","description":"","example":100},{"name":"customerName","in":"body","required":false,"type":"string","description":"","example":"example-customerName"},{"name":"requestId","in":"body","required":false,"type":"string","description":"","example":"example-requestId"},{"name":"notifyRecipient","in":"body","required":false,"type":"string","description":"","example":"example-notifyRecipient"},{"name":"recipientPhone","in":"body","required":false,"type":"string","description":"","example":"+251911223344"},{"name":"recipientName","in":"body","required":false,"type":"string","description":"","example":"example-recipientName"},{"name":"or","in":"body","required":false,"type":"string","description":"","example":"example-or"},{"name":"stepUpToken","in":"body","required":false,"type":"string","description":"","example":"example-stepUpToken"},{"name":"paymentId","in":"body","required":false,"type":"string","description":"","example":"example-paymentId"},{"name":"payerName","in":"body","required":false,"type":"string","description":"","example":"example-payerName"},{"name":"providerName","in":"body","required":false,"type":"string","description":"","example":"example-providerName"},{"name":"currency","in":"body","required":false,"type":"string","description":"","example":"ETB"}],"exampleBody":{"providerId":"example-providerId","accountNumber":"example-accountNumber","amount":"example-amount","customerName":"example-customerName","requestId":"example-requestId","notifyRecipient":"example-notifyRecipient","recipientPhone":"example-recipientPhone","recipientName":"example-recipientName","or":"example-or","stepUpToken":"example-stepUpToken","paymentId":"example-paymentId","payerName":"example-payerName","providerName":"example-providerName","currency":"example-currency"}},{"method":"GET","path":"/bills/providers","summary":"List providers","description":"`GET /api/v1/bills/providers` — introspected from the live route handler.","parameters":[{"name":"categoryId","in":"query","required":false,"type":"string","description":"categoryId query parameter"},{"name":"country","in":"query","required":false,"type":"string","description":"country query parameter"}],"exampleBody":null},{"method":"GET","path":"/bills/status/{paymentId}","summary":"Get status","description":"`GET /api/v1/bills/status/{paymentId}` — introspected from the live route handler.","parameters":[{"name":"paymentId","in":"path","required":true,"type":"string","description":"paymentId identifier"}],"exampleBody":null},{"method":"POST","path":"/bills/validate","summary":"Create validate","description":"`POST /api/v1/bills/validate` — introspected from the live route handler.","parameters":[{"name":"providerId","in":"body","required":true,"type":"string","description":"","example":"example-providerId"},{"name":"accountNumber","in":"body","required":true,"type":"string","description":"","example":"example-accountNumber"},{"name":"customerName","in":"body","required":false,"type":"string","description":"","example":"example-customerName"}],"exampleBody":{"providerId":"example-providerId","accountNumber":"example-accountNumber","customerName":"example-customerName"}},{"method":"GET","path":"/blockchain","summary":"List blockchain","description":"`GET /api/v1/blockchain` — introspected from the live route handler.","parameters":[{"name":"type","in":"query","required":false,"type":"string","description":"type query parameter"},{"name":"address","in":"query","required":false,"type":"string","description":"address query parameter"},{"name":"txHash","in":"query","required":false,"type":"string","description":"txHash query parameter"}],"exampleBody":null},{"method":"POST","path":"/blockchain","summary":"Create blockchain","description":"`POST /api/v1/blockchain` — introspected from the live route handler.","parameters":[{"name":"type","in":"query","required":false,"type":"string","description":"type query parameter"},{"name":"address","in":"query","required":false,"type":"string","description":"address query parameter"},{"name":"txHash","in":"query","required":false,"type":"string","description":"txHash query parameter"},{"name":"action","in":"body","required":true,"type":"string","description":"","example":"example-action"},{"name":"to","in":"body","required":true,"type":"string","description":"","example":"example-to"},{"name":"amount","in":"body","required":true,"type":"string","description":"","example":100},{"name":"spender","in":"body","required":true,"type":"string","description":"","example":"example-spender"},{"name":"address","in":"body","required":true,"type":"string","description":"","example":"example-address"},{"name":"reason","in":"body","required":false,"type":"string","description":"","example":"example-reason"},{"name":"userBalance","in":"body","required":false,"type":"string","description":"","example":"example-userBalance"}],"exampleBody":{"action":"example-action","to":"example-to","amount":"example-amount","spender":"example-spender","address":"example-address","reason":"example-reason","userBalance":"example-userBalance"}},{"method":"GET","path":"/blockchain/transfer","summary":"List transfer","description":"`GET /api/v1/blockchain/transfer` — introspected from the live route handler.","parameters":[{"name":"limit","in":"query","required":false,"type":"string","description":"limit query parameter"},{"name":"offset","in":"query","required":false,"type":"string","description":"offset query parameter"},{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"}],"exampleBody":null},{"method":"POST","path":"/blockchain/transfer","summary":"Create transfer","description":"`POST /api/v1/blockchain/transfer` — introspected from the live route handler.","parameters":[{"name":"limit","in":"query","required":false,"type":"string","description":"limit query parameter"},{"name":"offset","in":"query","required":false,"type":"string","description":"offset query parameter"},{"name":"status","in":"query","required":false,"type":"string","description":"status query parameter"},{"name":"recipientType","in":"body","required":true,"type":"string","description":"","example":"example-recipientType"},{"name":"recipient","in":"body","required":true,"type":"string","description":"","example":"example-recipient"},{"name":"amount","in":"body","required":true,"type":"string","description":"","example":100},{"name":"memo","in":"body","required":false,"type":"string","description":"","example":"example-memo"}],"exampleBody":{"recipientType":"example-recipientType","recipient":"example-recipient","amount":"example-amount","memo":"example-memo"}},{"method":"GET","path":"/blockchain/wallet","summary":"List wallet","description":"`GET /api/v1/blockchain/wallet` — introspected from the live route handler.","parameters":[{"name":"action","in":"query","required":false,"type":"string","description":"action query parameter"}],"exampleBody":null},{"method":"POST","path":"/blockchain/wallet","summary":"Create wallet","description":"`POST /api/v1/blockchain/wallet` — introspected from the live route handler.","parameters":[{"name":"action","in":"query","required":false,"type":"string","description":"action query parameter"},{"name":"action","in":"body","required":false,"type":"string","description":"","example":"example-action"},{"name":"walletAddress","in":"body","required":true,"type":"string","description":"","example":"example-walletAddress"},{"name":"signature","in":"body","required":true,"type":"string","description":"","example":"example-signature"}],"exampleBody":{"action":"example-action","walletAddress":"example-walletAddress","signature":"example-signature"}},{"method":"GET","path":"/bridge/fallback","summary":"List fallback","description":"`GET /api/v1/bridge/fallback` — introspected from the live route handler.","parameters":[{"name":"requestId","in":"query","required":false,"type":"string","description":"requestId query parameter"}],"exampleBody":null},{"method":"POST","path":"/bridge/fallback","summary":"Create fallback","description":"`POST /api/v1/bridge/fallback` — introspected from the live route handler.","parameters":[{"name":"requestId","in":"query","required":false,"type":"string","description":"requestId query parameter"},{"name":"action","in":"body","required":false,"type":"string","description":"","example":"example-action"},{"name":"requestId","in":"body","required":false,"type":"string","description":"","example":"example-requestId"},{"name":"agentId","in":"body","required":false,"type":"string","description":"","example":"example-agentId"}],"exampleBody":{"action":"example-action","requestId":"example-requestId","agentId":"example-agentId"}},{"method":"GET","path":"/bridge/transfer/{transactionId}","summary":"Get transfer","description":"`GET /api/v1/bridge/transfer/{transactionId}` — introspected from the live route handler.","parameters":[{"name":"transactionId","in":"path","required":true,"type":"string","description":"transactionId identifier"}],"exampleBody":null},{"method":"GET","path":"/bridge/transfer","summary":"List transfer","description":"`GET /api/v1/bridge/transfer` — introspected from the live route handler.","parameters":[{"name":"sourceProvider","in":"query","required":false,"type":"string","description":"sourceProvider query parameter"},{"name":"destinationProvider","in":"query","required":false,"type":"string","description":"destinationProvider query parameter"},{"name":"amount","in":"query","required":false,"type":"string","description":"amount query parameter"}],"exampleBody":null},{"method":"POST","path":"/bridge/transfer","summary":"Create transfer","description":"`POST /api/v1/bridge/transfer` — introspected from the live route handler.","parameters":[{"name":"sourceProvider","in":"query","required":false,"type":"string","description":"sourceProvider query parameter"},{"name":"destinationProvider","in":"query","required":false,"type":"string","description":"destinationProvider query parameter"},{"name":"amount","in":"query","required":false,"type":"string","description":"amount query parameter"},{"name":"sourceProvider","in":"body","required":true,"type":"string","description":"","example":"example-sourceProvider"},{"name":"sourceAccount","in":"body","required":true,"type":"string","description":"","example":"example-sourceAccount"},{"name":"destinationProvider","in":"body","required":true,"type":"string","description":"","example":"example-destinationProvider"},{"name":"destinationAccount","in":"body","required":true,"type":"string","description":"","example":"example-destinationAccount"},{"name":"amount","in":"body","required":true,"type":"string","description":"","example":100},{"name":"senderName","in":"body","required":false,"type":"string","description":"","example":"example-senderName"},{"name":"recipientName","in":"body","required":false,"type":"string","description":"","example":"example-recipientName"},{"name":"idempotencyKey","in":"body","required":false,"type":"string","description":"","example":"example-idempotencyKey"},{"name":"metadata","in":"body","required":false,"type":"string","description":"","example":"example-metadata"},{"name":"currency","in":"body","required":false,"type":"string","description":"","example":"ETB"}],"exampleBody":{"sourceProvider":"example-sourceProvider","sourceAccount":"example-sourceAccount","destinationProvider":"example-destinationProvider","destinationAccount":"example-destinationAccount","amount":"example-amount","senderName":"example-senderName","recipientName":"example-recipientName","idempotencyKey":"example-idempotencyKey","metadata":"example-metadata","currency":"example-currency"}},{"method":"GET","path":"/bridge/webhook/{provider}","summary":"Get webhook","description":"`GET /api/v1/bridge/webhook/{provider}` — introspected from the live route handler.","parameters":[{"name":"provider","in":"path","required":true,"type":"string","description":"provider identifier"},{"name":"challenge","in":"query","required":false,"type":"string","description":"challenge query parameter"}],"exampleBody":null},{"method":"POST","path":"/bridge/webhook/{provider}","summary":"Create webhook","description":"`POST /api/v1/bridge/webhook/{provider}` — introspected from the live route handler.","parameters":[{"name":"provider","in":"path","required":true,"type":"string","description":"provider identifier"},{"name":"challenge","in":"query","required":false,"type":"string","description":"challenge query parameter"}],"exampleBody":null},{"method":"GET","path":"/bulk-jobs","summary":"List bulk jobs","description":"`GET /api/v1/bulk-jobs` — introspected from the live route handler.","parameters":[{"name":"jobId","in":"query","required":false,"type":"string","description":"jobId query parameter"},{"name":"include","in":"query","required":false,"type":"string","description":"include query parameter"}],"exampleBody":null},{"method":"POST","path":"/bulk-jobs","summary":"Create bulk jobs","description":"`POST /api/v1/bulk-jobs` — introspected from the live route handler.","parameters":[{"name":"jobId","in":"query","required":false,"type":"string","description":"jobId query parameter"},{"name":"include","in":"query","required":false,"type":"string","description":"include query parameter"},{"name":"idempotencyKey","in":"body","required":false,"type":"string","description":"","example":"example-idempotencyKey"},{"name":"rows","in":"body","required":false,"type":"string","description":"","example":"example-rows"},{"name":"endpointIds","in":"body","required":false,"type":"string","description":"","example":"example-endpointIds"}],"exampleBody":{"idempotencyKey":"example-idempotencyKey","rows":"example-rows","endpointIds":"example-endpointIds"}},{"method":"GET","path":"/business/bulk-payments/{id}","summary":"Get bulk payments","description":"`GET /api/v1/business/bulk-payments/{id}` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"}],"exampleBody":null},{"method":"PATCH","path":"/business/bulk-payments/{id}","summary":"Update bulk payments","description":"`PATCH /api/v1/business/bulk-payments/{id}` — introspected from the live route handler.","parameters":[{"name":"id","in":"path","required":true,"type":"string","description":"id identifier"}],"exampleBody":
[...]
